GET
/
api
/
v1
/
properties
/
{property_id}
/
rooms
List property rooms
curl --request GET \
  --url http://127.0.0.1:8080/api/v1/properties/{property_id}/rooms
{
  "rooms": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "property_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "base_rent": 123,
      "default_deposit": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "floor": "<string>",
      "area_m2": 123,
      "note": "<string>",
      "archived_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Path Parameters

property_id
string<uuid>
required

Property ID

Response

200 - application/json

Rooms in property

rooms
object[]
required